import request from '@/utils/request'

/**
 * @data 食堂列表
 */
export function getCanteenListApi(data) {
  return request({
    url: '/smart-canteen/basic_canteen/list',
    method: 'get',
    params: data
  })
}




/**
 * @data 档口（菜谱）列表
 */
export function getAdvanceOrderStallApi(data) {
  return request({
    url: '/smart-canteen/cook_recipe_h5/reserve/canteen/shopstall/list',
    method: 'get',
    params: data
  })
}


/**
 * @data 移动端-查询预订日期
 */
export function getlistReserveDateAPI(data) {
  return request({
    url: '/smart-canteen/cook_recipe_h5/reserve-date/list',
    method: 'post',
    data
  })
}

/**
 * @data 预订餐（详情）
 */
export function getAdvanceDetailListAPI(data) {
  return request({
    url: '/smart-canteen/cook_recipe_h5/reserve/recipe/detail',
    method: 'post',
    data
  })
}

/**
 * @data 移动端-预订餐（加购物车）
 */
export function addAdvancehoppingCartAPI(data) {
  return request({
    url: '/smart-canteen/order_cart/add',
    method: 'post',
    data
  })
}

/**
 * @data 移动端-预订餐（减购物车）
 */
export function updateAdvancehoppingCartAPI(data) {
  return request({
    url: '/smart-canteen/order_cart/edit',
    method: 'post',
    data
  })
}
/**
 * @data 移动端-预订餐（清空购物车）
 */
export function clearAdvancehoppingCartAPI(data) {
  return request({
    url: '/smart-canteen/order_cart/remove',
    method: 'post',
    data
  })
}
  
/**
 * @data 移动端-获取购物车
 */
export function getShoppingCartListAPI(data) {
  return request({
    url: '/smart-canteen/order_cart/list',
    method: 'post',
    data
  })
}


/**
 * @data 移动端-预订餐创建订单
 */
export function addReserveMealApi(data) {
  return request({
    url: '/smart-canteen/order/add',
    method: 'post',
    data
  })
}

/**
 * @data 移动端-预订餐创建订单（获取餐卷）
 */
export function getListElectronMobileUsableAPI(data) {
  return request({
    url: '/smart-canteen/api/v2/mkt/coupon/list-electron-mobile-usable',
    method: 'post',
    data
  })
}





/**
 * @data 订单--同步支付状态
 */
export function syncPayStateApi(data) {
  return request({
    url: '/smart-canteen/api/v2/mobile/order/sync-pay-state',
    method: 'post',
    data
  })
}
























